﻿@{
    ViewBag.Title = "Home Page";
}
@*<script src="https://sdkcarlos.github.io/demos/artyom.min.js"></script>*@
<script src="~/Content/Artyom.js"></script>
<input type="button" onclick="startArtyom()" value="Start voice commands" /><br><br>
<input type="button" onclick="stopArtyom()" value="Stop listening" /><br>
<span id="output" style="font-size:20px;color:red;"></span><br>
<span id="time" style="font-size:35px;color:green;"></span><br>
<script>
    artyom.addCommands([
       {
           description: "Artyom can talk too, lets say something if we say hello",
           indexes: ["hello", "hey"],
           action: function (i) {
               // i = the index of the array of indexes option

               if (i == 0) {
                   //You say : "hello"
                   document.getElementById('time').innerHTML = "Hello ! How are you? I don't want to talk today";
               }
           }
       },
       {
           description: "Say goodbye",
           indexes: ["goodbye"],
           action: function () {
               alert("Now all is over.");
           }
       },
       {
           description: "Say what time is it",
           indexes: ['what time is it'],
           action: function () {
               var currentdate = new Date();
               var datetime = "About the date : " + currentdate.getDate() + "/"
                    + (currentdate.getMonth() + 1) + "/"
                    + currentdate.getFullYear() + " @@ "
                    + currentdate.getHours() + ":"
                    + currentdate.getMinutes() + ":"
                    + currentdate.getSeconds();
               document.getElementById('time').innerHTML = datetime;
           }
       },
       {
           description: "Smart command, say how much x in what we say",
           indexes: ["what's the number of *"],
           smart: true,
           action: function (i, wildcard) {
               document.getElementById('time').innerHTML = "The number of " + wildcard + ' is ' + Math.floor(Math.random() * 4000) + 1;
           }
       }
    ]);


    // Redirect the recognized text
    artyom.redirectRecognizedTextOutput(function (text, isFinal) {
        var span = document.getElementById('output');

        if (isFinal) {
            span.innerHTML = '';
        } else {
            span.innerHTML = text;
        }
    });
    function startArtyom(){
        artyom.initialize({
            lang:"en-GB",// More languages are documented in the library
            continuous:false,//if you have https connection, you can activate continuous mode
            debug:true,//Show everything in the console
            listen:true // Start listening when this function is triggered
        });
    }

    function stopArtyom(){
        artyom.fatality();
    }
</script>